MPD: AudioOutputWrapper< T > Struct Template Reference

MPD 0.20.15

Static Public Member Functions
AudioOutputWrapper< T > Struct Template Reference

`#include <Wrapper.hxx>`

## Static Public Member Functions
static T & | Cast (AudioOutput &ao)
static AudioOutput * | Init (const ConfigBlock &block)
static void | Finish (AudioOutput *ao)
static void | Enable (AudioOutput *ao)
static void | Disable (AudioOutput *ao)
static void | Open (AudioOutput *ao, AudioFormat &audio_format)
static void | Close (AudioOutput *ao)
static gcc_pure std::chrono::steady_clock::duration | Delay (AudioOutput *ao) noexcept
static void | SendTag (AudioOutput *ao, const Tag &tag)
static size_t | Play (AudioOutput *ao, const void *chunk, size_t size)
static void | Drain (AudioOutput *ao)
static void | Cancel (AudioOutput *ao)
static bool | Pause (AudioOutput *ao)

## Detailed Description

### template<class T>
struct AudioOutputWrapper< T >

Definition at line 30 of file Wrapper.hxx.

## Member Function Documentation

## ◆ Cancel()

template<class T >

static void AudioOutputWrapper< T >::Cancel | ( | AudioOutput * | ao | ) |
| inlinestatic

Definition at line 86 of file Wrapper.hxx.

## ◆ Cast()

template<class T >

static T& AudioOutputWrapper< T >::Cast | ( | AudioOutput & | ao | ) |
| inlinestatic

Definition at line 31 of file Wrapper.hxx.

## ◆ Close()

template<class T >

static void AudioOutputWrapper< T >::Close | ( | AudioOutput * | ao | ) |
| inlinestatic

Definition at line 60 of file Wrapper.hxx.

## ◆ Delay()

template<class T >

static gcc_pure std::chrono::steady_clock::duration AudioOutputWrapper< T >::Delay | ( | AudioOutput * | ao | ) |
| inlinestaticnoexcept

Definition at line 66 of file Wrapper.hxx.

## ◆ Disable()

template<class T >

static void AudioOutputWrapper< T >::Disable | ( | AudioOutput * | ao | ) |
| inlinestatic

Definition at line 50 of file Wrapper.hxx.

## ◆ Drain()

template<class T >

static void AudioOutputWrapper< T >::Drain | ( | AudioOutput * | ao | ) |
| inlinestatic

Definition at line 81 of file Wrapper.hxx.

## ◆ Enable()

template<class T >

static void AudioOutputWrapper< T >::Enable | ( | AudioOutput * | ao | ) |
| inlinestatic

Definition at line 45 of file Wrapper.hxx.

## ◆ Finish()

template<class T >

static void AudioOutputWrapper< T >::Finish | ( | AudioOutput * | ao | ) |
| inlinestatic

Definition at line 40 of file Wrapper.hxx.

## ◆ Init()

template<class T >

static AudioOutput* AudioOutputWrapper< T >::Init | ( | const ConfigBlock & | block | ) |
| inlinestatic

Definition at line 35 of file Wrapper.hxx.

## ◆ Open()

template<class T >

static void AudioOutputWrapper< T >::Open | ( | AudioOutput * | ao,
|  | AudioFormat & | audio_format
| ) |  |
| inlinestatic

Definition at line 55 of file Wrapper.hxx.

## ◆ Pause()

template<class T >

static bool AudioOutputWrapper< T >::Pause | ( | AudioOutput * | ao | ) |
| inlinestatic

Definition at line 91 of file Wrapper.hxx.

## ◆ Play()

template<class T >

static size_t AudioOutputWrapper< T >::Play | ( | AudioOutput * | ao,
|  | const void * | chunk,
|  | size_t | size
| ) |  |
| inlinestatic

Definition at line 76 of file Wrapper.hxx.

## ◆ SendTag()

template<class T >

static void AudioOutputWrapper< T >::SendTag | ( | AudioOutput * | ao,
|  | const Tag & | tag
| ) |  |
| inlinestatic

Definition at line 71 of file Wrapper.hxx.

The documentation for this struct was generated from the following file:

- output/Wrapper.hxx